import { Component, ViewChild, OnInit, AfterViewInit } from "@angular/core";
import { IgxExpansionPanelComponent } from "igniteui-angular";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit, AfterViewInit {
  title = 'iconRef';
  @ViewChild(IgxExpansionPanelComponent, {
    read: IgxExpansionPanelComponent,
    static: true
  })
  public panel: IgxExpansionPanelComponent;

  ngOnInit() {}

  ngAfterViewInit() {
    console.log(this.panel.header.iconRef);
    this.panel.header.iconRef.nativeElement.style.color = "red";
  }
}
